#### 4.22.3.24 linealitySpace

`Syntax:`
  `linealitySpace(` cone c `)`
`Type:`
  cone
`Purpose:`
  the lineality space of the cone as a new cone
`Example:`

      LIB"gfanlib.so";
      intmat M1[3][3]=
      1,0,0,
      0,1,0,
      0,0,1;
      cone c1=coneViaPoints(M1);
      cone l1=linealitySpace(c1);
      l1;
      ==> AMBIENT_DIM
      ==> 3
      ==> INEQUALITIES
      ==>
      ==> LINEAR_SPAN
      ==> 1,0,0,
      ==> 0,1,0,
      ==> 0,0,1
      ==>
      intmat M2[4][3]=
      1,0,0,
      0,1,0,
      0,0,1,
      -1,0,0;
      cone c2=coneViaPoints(M2);
      cone l2=linealitySpace(c2);
      l2;
      ==> AMBIENT_DIM
      ==> 3
      ==> INEQUALITIES
      ==>
      ==> LINEAR_SPAN
      ==> 0,1,0,
      ==> 0,0,1
      ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.